Name:      rosegarden4
Version:   1.4.0
Release:   1%{?dist}
Summary:   MIDI, audio and notation editor
Group:     Applications/Multimedia
License:   GPL
URL:       http://www.rosegardenmusic.com/
Source0:   http://dl.sourceforge.net/sourceforge/rosegarden/rosegarden-%{version}.tar.bz2
Patch0:    rosegarden-4-desktop-file.patch
Patch1:    rosegarden-4-1.2.3-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: scons
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel
BuildRequires: liblo-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: dssi-devel
BuildRequires: lirc-devel

Requires: kdebase
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Rosegarden is a professional audio and MIDI sequencer, score editor, and
general purpose music composition and editing environment.

Rosegarden is an easy to learn, attractive application, ideal for composers,
musicians, music students, and small studio or home recording environments. 

%prep
%setup -q -n rosegarden-%{version}
%patch0 -p1
# Look for LADSPA/DSSI plugins in the correct place on x86_64
%ifarch x86_64
%patch1 -p1
%endif

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
scons configure prefix=%{_prefix}
scons %{?_smp_mflags}

%install
rm -rf %{buildroot}
scons install DESTDIR=%{buildroot}

desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  %{buildroot}%{_datadir}/applnk/Applications/rosegarden.desktop

%find_lang rosegarden

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
# locolor seems to be a KDE thing?
touch --no-create %{_datadir}/icons/locolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
touch --no-create %{_datadir}/icons/locolor || :

%files -f rosegarden.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/rosegarden
%{_bindir}/rosegarden-lilypondview
%{_bindir}/rosegarden-project-package
%{_bindir}/rosegardensequencer
%{_datadir}/applications/fedora-rosegarden.desktop
%{_datadir}/apps/rosegarden/
%{_docdir}/HTML/*/rosegarden/
%{_datadir}/icons/hicolor/16x16/apps/x-rosegarden.png
%{_datadir}/icons/hicolor/16x16/mimetypes/x-rosegarden.png
%{_datadir}/icons/hicolor/32x32/apps/rosegarden.png
%{_datadir}/icons/hicolor/32x32/mimetypes/x-rosegarden.png
%{_datadir}/icons/hicolor/48x48/apps/rosegarden.png
%{_datadir}/icons/hicolor/64x64/apps/rosegarden.png
%{_datadir}/icons/hicolor/128x128/apps/rosegarden.png
%{_datadir}/icons/locolor/16x16/apps/x-rosegarden.xpm
%{_datadir}/icons/locolor/16x16/mimetypes/x-rosegarden.png
%{_datadir}/icons/locolor/32x32/apps/rosegarden.xpm
%{_datadir}/icons/locolor/32x32/mimetypes/x-rosegarden.png
%{_datadir}/mimelnk/audio/x-rosegarden21.desktop
%{_datadir}/mimelnk/audio/x-rosegarden.desktop
%{_datadir}/mimelnk/audio/x-rosegarden-device.desktop
%{_datadir}/mimelnk/audio/x-soundfont.desktop

%changelog
* Sat Nov 11 2006 Callum Lerwick <seg@haxxed.com> - 1.4.0-1
- New upstream version.

* Tue Sep 05 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-5
- Bump for FC6 mass rebuild.

* Sun Jul 23 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-4
- Add dependency on kdebase so help works.

* Sun Jul 16 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-3
- Look for DSSI plugins in the correct place on x86_64.
- Add gettext BR.

* Sat Jun 17 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-2
- Removed which from Buildrequires, mock needing it is confirmed to be a bug.
- Use find_lang macro.
- Look for ladspa plugins in the correct place on x86_64.
- Build against liblo, jack, dssi, lirc.
- Salvage the upstream desktop file, rather than using our own.

* Sat Apr 15 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-1
- Initial packaging for Extras.
